.profile {
  z-index: 2;
  height: auto;
  overflow: hidden;
  @include flexbox(column, nowrap, flex-end, stretch);
  &:before {
    content: "";
    display: block;
    z-index: 1;
    position: absolute;
    height: 70%;
  }
  > * {
    z-index: 2;
  }
  > hr {
    display: none;
    z-index: 0;
    width: calc(100% - 8px);
    height: calc(100% - 8px);
    position: absolute;
    top: 4px;
    left: 4px;
    background-position: 50% 50%; //horizontal, vertical
    background-repeat: repeat;
    overflow: hidden;
    @include background-size(cover);
    @include border-radius(3px);
    @include box-sizing(border-box);
    &:before {
      content: "";
      display: block;
      width: 100%;
      height: 100%;
      opacity: 0.3;
      background: transparent url($d_doted) repeat;
    }
  }
  &[data-layout-type="compact"] {
    margin-bottom: 30px;
    padding: 15px;
    background: negro(1);
    @include border-radius(3px);
    &:before {
      left: 4px;
      bottom: 4px;
      width: calc(100% - 8px);
      border-bottom-right-radius: 3px;
      border-bottom-left-radius: 3px;
      @include linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0),
        rgba(black, 0.6) 30%,
        rgba(black, 0.9) 60%,
        black
      );
    }
    > hr {
      display: block;
    }
    .profile-stats {
      @include flexbox(column, nowrap, center, stretch);
      ul {
        @include flex(1 1 auto);
        @include flexbox(row, nowrap, center, center);
        &:not(:last-child) {
          margin-bottom: 15px;
        }
        &:last-child {
          @include flex(1 1 auto);
          @include justify-content(center);
        }
      }
    }
  }
  &[data-layout-type="wide"] {
    padding: 15px 30px 90px;
    &:before {
      left: 0;
      bottom: 0;
      width: 100%;
      @include linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0),
        rgba($dark, 0.6) 30%,
        rgba($dark, 0.9) 60%,
        $dark
      );
    }
    .profile-stats {
      @include flexbox(row-reverse, nowrap, center, center);
      ul {
        @include flex(1 1 0);
        @include flexbox(row, nowrap, flex-start, center);
        &:not(:last-child) {
          margin-left: 15px;
        }
        &:last-child {
          @include flex(3 1 0);
          @include justify-content(flex-end);
          li {
            @include flex(1 1 auto);
          }
        }
      }
    }
  }
}
// inicia .PROFILE CHILDS
.profile-info {
  margin-bottom: 15px;
  @include flexbox(row, nowrap, center, flex-end);
  > *:not(:last-child) {
    margin-right: 15px;
  }
  h2 {
    @include flexbox(column, nowrap, center, center);
    .avatar {
      width: 100px;
      height: 100px;
      margin-bottom: 15px;
      a,
      span {
        border-width: 4px;
        @include box-shadow(5px 5px 15px negro(25));
      }
      hr {
        width: 30% !important;
        height: 30% !important;
        &:before {
          border-width: 4px !important;
        }
      }
    }
    > span {
      display: block;
      white-space: nowrap;
      text-shadow: 1px 1px 1px #000;
      color: $primary;
      @include font-size(10);
      .u_name {
        display: inline-block;
        color: #fff;
        font-weight: 400;
        white-space: nowrap;
        font-size: inherit;
        text-shadow: inherit;
      }
    }
  }
}
.profile-stats {
  ul {
    &:last-child {
      li {
        @include flex(1 1 auto);
      }
    }
    li {
      padding: 0 30px;
      @include flexbox(column, nowrap, center, center);
      &:first-child {
        padding-left: 0;
      }
      &:last-child {
        padding-right: 0;
      }
      &:not(:last-child):not([data-not-stat]) {
        border-right: 4px solid negro(2);
      }
      span {
        color: #fff;
        text-shadow: 1px 1px 0 #000;
        @include font-size(4);
        &[class~="title"] {
          color: $primary;
          @include font-size(2);
        }
      }
    }
  }
}
// termina .profile CHILDS
